about summary refs log tree commit diff homepage
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2017-07-30 19:24:58 -0400
committerJune McEnroe <june@causal.agency>2017-07-30 19:24:58 -0400
commit7d85d1813ee367c15e42206d582e5aa06e212440 (patch)
treefd5b2abcbf4a164c92e1a6fb263d9ff026c63a67
parentFix termcap patch for background colors (diff)
downloadtorus-7d85d1813ee367c15e42206d582e5aa06e212440.tar.gz
torus-7d85d1813ee367c15e42206d582e5aa06e212440.zip
Add snapshot.sh
-rw-r--r--README1
-rwxr-xr-xsnapshot.sh5
2 files changed, 6 insertions, 0 deletions
diff --git a/README b/README
index 520f878..969d2f1 100644
--- a/README
+++ b/README
@@ -8,6 +8,7 @@ C source files are self-compiling, e.g. ./server.c.
     server.c       Maps torus.dat and listens on torus.sock.
     client.c       Curses client.
     help.c         Automated client which redraws a helpful banner.
+    snapshot.sh    Snapshots data file, appropriate for cron.
 
     chroot.sh      Creates chroot tarball.
     sshd_config    Anonymous login to chrooted client.
diff --git a/snapshot.sh b/snapshot.sh
new file mode 100755
index 0000000..2f15498
--- /dev/null
+++ b/snapshot.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e -u
+
+ts=`date +'%Y.%m.%d.%H.%M'`
+gzip -c -9 < "$1/torus.dat" > "$2/torus.dat.$ts.gz"
it/bin/setopt.c?id=33a92e1bf4bf57ec3c25d21670ee8f11a5302084&follow=1'>Remove setoptJune McEnroe 2020-03-03Use getopts in shell scriptsJune McEnroe WTF why did no one tell me about this? 2020-02-27Style %T outside of Rs in italicJune McEnroe 2020-02-26Add Fierce Femmes and Notorious LiarsJune McEnroe 2020-02-23Add This Is How You Lose the Time WarJune McEnroe 2020-02-22Add See Ya LaterJune McEnroe 2020-02-20Remove wiki scriptJune McEnroe Wikipedia seems to have removed the one-sentence extracts from the opensearch results. Too bad. It's not a wiki script, what we need is a command that fetches single-sentence summaries of articles on Wikipedia. 2020-02-19Add The Obelisk GateJune McEnroe 2020-02-17Add Four Tet — HandsJune McEnroe One from the cafe that caught my attention. 2020-02-12Simplify macOS notify-sendJune McEnroe 2020-02-12Add imbox and notemap to pageJune McEnroe 2020-02-12Collapse simple linksJune McEnroe 2020-02-12Move catgirl up the pageJune McEnroe 2020-02-12Update catgirl pty grabJune McEnroe 2020-02-12Link to cgit /about pages where appropriateJune McEnroe 2020-02-11Separate LINKS from BINS for html to workJune McEnroe 2020-02-11Add margin to Bl-bullet itemsJune McEnroe 2020-02-10Match URLs inside parens or with paired parens insideJune McEnroe 2020-02-10Duplicate effective URL before passing it back to curlJune McEnroe Apparently sometimes it didn't like receiving its own internal storage to parse again. Understandable. 2020-02-09Add To Be Taught, If FortunateJune McEnroe 2020-02-04Add The Future of Another TimelineJune McEnroe Wow. One of the best I've read. 2020-01-31Reorganize the Makefile for the umpteenth timeJune McEnroe Broke out LDLIBS for each bin, and made everything more uniform. 2020-01-28Change scout sensitivity to 1.4June McEnroe idk it seems to work. 2020-01-28Import shows.txtJune McEnroe